image: node:latest

pages:
  stage: deploy
  script:
  - npm install
  - npx pug-pack
  - mv dist public
  artifacts:
    paths:
    - public
    expire_in: 1 day
  rules:
    - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH
